import java.sql.*;
import java.io.*;

public class Personne implements SQLData {
    // nomUDT contient le nom du UDT qui correspond  la classe
    private String nomUDT = "GODIN.PersonneUDT";
    protected String nom;
    protected String prnom;

    public Personne(){}
    public Personne(String nom,String prnom) {
        this.nom = nom;
        this.prnom = prnom;
    }
    public String getNom(){return nom;}
    public String getPrnom(){return prnom;}
    public void setNom(String nom){this.nom = nom;}
    public void setPrnom(String prnom){this.prnom = prnom;}

    public String getPrnomNom(){
      return prnom+nom;
    }

  // Mthodes de l'interface SQLdata  implmenter

  // Retourne le UDT SQL qui correspond  la classe Java
  public String getSQLTypeName() throws SQLException { return nomUDT; } 

  // Mthode de conversion du stream en valeurs d'attributs
  public void readSQL(SQLInput stream, String nomUDT) throws SQLException { 
    this.nomUDT = nomUDT; 
    nom = stream.readString();
    prnom = stream.readString(); 
  } 

  // Conversion des valeurs d'attributs en stream
  public void writeSQL(SQLOutput stream) throws SQLException { 
    stream.writeString (nom); 
    stream.writeString (prnom); 
  }
}
