import java.sql.SQLException;
import java.sql.Connection;
import oracle.jdbc.OracleTypes;
import oracle.sql.ORAData;
import oracle.sql.ORADataFactory;
import oracle.sql.Datum;
import oracle.sql.STRUCT;
import oracle.jpub.runtime.MutableStruct;

public class Livrereftype implements ORAData, ORADataFactory
{
  public static final String _SQL_NAME = "GODIN.LIVREREFTYPE";
  public static final int _SQL_TYPECODE = OracleTypes.STRUCT;

  protected MutableStruct _struct;

  private static int[] _sqlType =  { 2006 };
  private static ORADataFactory[] _factory = new ORADataFactory[1];
  static
  {
    _factory[0] = LivreTypeRef.getORADataFactory();
  }
  protected static final Livrereftype _LivrereftypeFactory = new Livrereftype(false);

  public static ORADataFactory getORADataFactory()
  { return _LivrereftypeFactory; }
  /* constructor */
  protected Livrereftype(boolean init)
  { if(init) _struct = new MutableStruct(new Object[1], _sqlType, _factory); }
  public Livrereftype()
  { this(true); }

  /* ORAData interface */
  public Datum toDatum(Connection c) throws SQLException
  {
    return _struct.toDatum(c, _SQL_NAME);
  }

  /* ORADataFactory interface */
  public ORAData create(Datum d, int sqlType) throws SQLException
  { return create(null, d, sqlType); }
  protected ORAData create(Livrereftype o, Datum d, int sqlType) throws SQLException
  {
    if (d == null) return null; 
    if (o == null) o = new Livrereftype(false);
    o._struct = new MutableStruct((STRUCT) d, _sqlType, _factory);
    return o;
  }
  /* accessor methods */
  public LivreTypeRef getLivreref() throws SQLException
  { return (LivreTypeRef) _struct.getAttribute(0); }

  public void setLivreref(LivreTypeRef livreref) throws SQLException
  { _struct.setAttribute(0, livreref); }

}
